<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.scytl.products.ov.sdm</groupId>
		<artifactId>ov-secure-data-manager-backend</artifactId>
        <version>2.1.6</version>
	</parent>

	<groupId>com.scytl.products.ov.sdm.services</groupId>
	<artifactId>secure-data-manager-integration</artifactId>
	<packaging>jar</packaging>
	<name>Secure Data Manager - Backend - Integration</name>

	<build>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>build-helper-maven-plugin</artifactId>
				<executions>
					<execution>
						<id>add-source</id>
						<phase>generate-sources</phase>
						<goals>
							<goal>add-source</goal>
						</goals>
						<configuration>
							<sources>
								<source>${basedir}/target/generated-sources/java</source>
							</sources>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>jaxb2-maven-plugin</artifactId>
				<version>1.6</version>
				<executions>
					<execution>
						<id>election</id>
						<phase>generate-sources</phase>
						<goals>
							<goal>xjc</goal>
						</goals>
						<configuration>
							<!-- The schema directory or xsd files. -->
							<schemaDirectory>${basedir}/src/main/resources/xsd</schemaDirectory>
							<!-- The package in which the source files will be generated. -->
							<packageName>com.scytl.product.ov.sdm.plugin</packageName>
							<!-- The working directory to create the generated java source files. -->
							<outputDirectory>${basedir}/target/generated-sources/java</outputDirectory>
							<removeOldOutput>false</removeOldOutput>
							<clearOutputDir>false</clearOutputDir>
							<forceRegenerate>true</forceRegenerate>
						</configuration>
					</execution>
				</executions>
				<configuration>
					<properties>
						<property>
							<name>javax.xml.accessExternalSchema</name>
							<value />
						</property>
						<property>
							<name>javax.xml.accessExternalDTD</name>
							<value />
						</property>
					</properties>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.jbehave</groupId>
				<artifactId>jbehave-maven-plugin</artifactId>
				<version>4.0.5</version>
				<executions>
					<execution>
						<id>run-stories-as-embeddables</id>
						<phase>test</phase>
						<configuration>
							<scope>test</scope>
							<skip>${skipTests}</skip>
							<verboseFailures>true</verboseFailures>
							<ignoreFailureInStories>false</ignoreFailureInStories>
							<ignoreFailureInView>false</ignoreFailureInView>
							<includes>
								<include>**/*Stories.java</include>
							</includes>
							<metaFilters>
								<metaFilter>-skip</metaFilter>
							</metaFilters>
							<systemProperties>
								<property>
									<name>java.awt.headless</name>
									<value>true</value>
								</property>
							</systemProperties>
						</configuration>
						<goals>
							<goal>run-stories-as-embeddables</goal>
						</goals>
					</execution>
				</executions>
				<dependencies>
					<dependency>
						<groupId>log4j</groupId>
						<artifactId>log4j</artifactId>
						<version>1.3alpha-7-local</version>
						<scope>compile</scope>
					</dependency>
				</dependencies>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>javax.xml.bind</groupId>
			<artifactId>jaxb-api</artifactId>
		</dependency>
		<dependency>
			<groupId>com.sun.xml.bind</groupId>
			<artifactId>jaxb-impl</artifactId>
		</dependency>
		<dependency>
			<groupId>com.sun.xml.bind</groupId>
			<artifactId>jaxb-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jbehave</groupId>
			<artifactId>jbehave-core</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>de.codecentric</groupId>
			<artifactId>jbehave-junit-runner</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-cli</groupId>
			<artifactId>commons-cli</artifactId>
		</dependency>
	</dependencies>
</project>
